<template>
  <div class='download-wallet container'>
    <p class='download-wallet__title base-title'>{{ $t('title')[0] }}<br />{{ $t('title')[1] }}</p>
    <div class='buttons'>
      <a href='https://apps.apple.com/us/app/tbcc/id1592692399' target='_blank'>
        <base-button aria-label='download ios app'>
          <icon-ios :fill='"#292F37"' />
          iOS
        </base-button>
      </a>
      <a href='https://play.google.com/store/apps/details?id=com.cloud.tbcc.app&hl=ru&gl=US' target='_blank'>
        <base-button aria-label='download android app'>
          <icon-android :fill='"#292F37"' />
          Android
        </base-button>
      </a>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
import IconAndroid from '../icon/IconAndroid'
import IconIos from '../icon/IconIos'
export default {
  components: { IconIos, IconAndroid, BaseButton }
}
</script>

<i18n>
{
  "en": {
    "title": ["Download the TBCC App", "to manage your crypto with the touch of a finger."]
  },
  "ch": {
    "title": ["下载TBCC应用程序来管理您的加密货币，只需动动手指"]
  },
  "tur": {
    "title": ["Download the TBCC App", "to manage your crypto with the touch of a finger."]
  }
}
</i18n>

<style lang='scss' scoped>
.download-wallet {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__title {
    font-weight: 700;
    font-size: 36px;
    line-height: 45px;
    max-width: 1061px;
    text-align: center;
    margin: 0 0 40px;

    @media (max-width: 767px) {
      max-width: 277px;
    }

    @media (min-width: 1024px) {
      font-size: 45px;
    }

    @media (min-width: 1200px) {
      font-size: 48px;
      line-height: 59px;
    }
  }
}

.buttons {
  display: flex;
  justify-content: center;

  @media (max-width: 767px) {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;

    a:first-child {
      margin-bottom: 27px;
    }
  }

  @media (min-width: 768px) {
    display: block;

    a:first-child {
      margin-right: 20px;
    }
  }

  button {
    background: #FFFFFF;
    color: #292F37;
    font-weight: 500;
    font-size: 18px;
    line-height: 26px;
    padding: 15px 26px;
    min-width: 150px;
    justify-content: center;
    position: relative;

    @media (max-width: 767px) {
      width: 316px;
    }

    @media (min-width: 1024px) {
      padding: 15px 34px;
      min-width: 164px;
    }

    &::before {
      display: none;
    }
  }

  svg {
    margin-right: 8px;
    margin-bottom: 2px;

    @media (max-width: 767px) {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      left: 35px;
      margin-right: auto;
    }
  }
}
</style>
